.group-shop {
  position: relative;
  padding-left: 0;
  padding-right: 0;

  @include media("md") {
    padding-left: 5%;
    padding-right: 5%;
  }

  > .section-wrapper {
    align-items: flex-start;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  > .section-wrapper .title {
    margin-bottom: 4rem;
    font-family: var(--font-family-title);
    font-size: var(--font-size-big);
    font-weight: var(--font-weight-title);
    text-align: center;
    width: 100%;
    padding-left: 5%;
    padding-right: 5%;

    @include media("md") {
      padding-left: 0;
      padding-right: 0;
    }
  }

  > .section-wrapper .products {
    display: flex;
    flex-direction: column;
    width: 100%;
    overflow-x: hidden;
    padding-left: 5%;
    padding-right: 5%;

    @include media("md") {
      padding-left: 0;
      padding-right: 0;
      overflow-x: visible;
    }
  }

  > .section-wrapper .swiper {
    width: 100%;
    overflow: visible;
  }

  > .section-wrapper .swiper-slide.-plus:not(:last-of-type)::after {
    content: "+";
    position: absolute;
    right: 0;
    top: 27rem;
    background-color: var(--gray-1);
    border-radius: 50%;
    color: var(--gray-4);
    font-size: 2.4rem;
    line-height: 1;
    width: 2.4rem;
    height: 2.4rem;
    display: flex;
    align-items: center;
    justify-content: center;

    @include media("xxs") {
      top: 13rem;
    }

    @include media("sm") {
      top: 23rem;
    }

    @include media("md") {
      top: 17rem;
    }
  }

  > .section-wrapper .product-block {
    width: calc(100% - 2.8rem);

    @include media("md") {
      width: calc(100% - 4rem);
    }
  }

  > .section-wrapper .product-block .name {
    margin-bottom: 0;
  }

  > .section-wrapper .product-block .last-units {
    align-items: center;
    background-color: var(--gray-4);
    border-radius: 3rem;
    color: var(--white);
    display: none;
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-subtitle);
    height: 2.6rem;
    justify-content: center;
    line-height: 1;
    margin-top: 1.6rem;
    padding: 0.6rem 1rem;
    width: fit-content;
  
    &.-visible {
      display: flex;
    }
  }

  > .section-wrapper .add-to-group {
    position: absolute;
    top: 1rem;
    left: 1rem;
    background-color: var(--gray-1);
    border: 1px solid var(--gray-3);
    border-radius: 0.4rem;
    height: 2rem;
    width: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    transition: var(--transition);
  }

  > .section-wrapper .add-to-group.-group-selected {
    background-color: var(--primary-color);

    svg {
      opacity: 1;
    }
  }

  > .section-wrapper .add-to-group svg {
    width: 1.2rem;
    height: 1.2rem;
    color: var(--white);
    opacity: 0;
    transition: var(--transition);
  }

  > .section-wrapper .add-to-cart {
    display: block;
    margin-top: 1.6rem;
    background-color: transparent;
  }

  > .section-wrapper .attributes {
    gap: 0.8rem;
    overflow: unset;
    background-color: transparent;
  }

  > .section-wrapper .prod-option {
    padding: 0;
    margin: 0 !important;

    &::after {
      content: unset;
    }
  }

  > .section-wrapper .swiper-pagination {
    position: static;
    width: 100% !important;
    margin-top: 3.2rem;
    border-radius: 0.8rem;
    background-color: var(--gray-1);
    overflow: hidden;
    z-index: 0;
  }

  > .section-wrapper .swiper-pagination-progressbar-fill {
    background-color: var(--primary-color);
  }

  > .section-wrapper .purchase {
    align-items: center;
    display: flex;
    flex-direction: column;
    position: relative;
    text-align: center;
    margin-top: 4rem;
    background-color: var(--gray-1);
    padding: 2.4rem;
    width: 100%;

    &.-hidden {
      opacity: 0;
      visibility: hidden;
    }

    @import "../../components/product_block_price";
  }

  > .section-wrapper .purchase .text {
    font-size: var(--font-size-big);
    font-weight: var(--font-weight-title);
    margin-bottom: 0.8rem;
    width: 100%;
  }

  > .section-wrapper .purchase .price-wrapper {
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    width: 100%;
    max-width: 40rem;
  }

  > .section-wrapper .purchase .discount-wrapper {
    display: flex;
    margin-right: 0.8rem;

    &.-hidden {
      display: none;
    }
  }

    > .section-wrapper .purchase .discount-wrapper .discount-percent {
    align-items: center;
    background-color: var(--red);
    border-radius: 33px;
    color: var(--white);
    display: flex;
    font-size: var(--font-size-base);
    font-weight: var(--font-weight-subtitle);
    justify-content: center;
    line-height: 1;
    margin-right: 1rem;
    max-height: 2.6rem;
    padding: 0.4rem 1rem;
    text-align: center;
    width: fit-content;
  }

  > .section-wrapper .purchase .original-price {
    align-items: center;
    color: var(--gray-3);
    display: flex;
    font-size: 1.4rem;
    justify-content: flex-start;
    font-size: var(--font-size-base);
    font-weight: var(--font-weight-base);
    text-decoration: line-through;
  }

  > .section-wrapper .purchase .price-group {
    font-size: var(--font-size-big);
    font-weight: var(--font-weight-title);
  }

  > .section-wrapper .purchase .warning {
    font-size: var(--font-size-small);
    color: var(--gray-4);
    width: 100%;
  }

  > .section-wrapper .purchase .button-default {
    margin: 2.4rem auto 0;
    padding: 0.5rem 2rem;
  }

  > .section-wrapper .purchase .msg-response .msg-error {
    margin-top: 0.8rem;
    font-size: var(--font-size-small);
    color: var(--gray-4);
    text-align: center;
    display: none;
  }
}
